| Home | Libraries | People | FAQ | More

### mutable_buffer

Holds a buffer that can be modified.

    class mutable_buffer

##### Member Functions

Name | Description
--- | ---
mutable_buffer | Construct an empty buffer. Construct a buffer to represent a given memory range.

##### Related Functions

Name | Description
--- | ---
buffer_cast | Cast a non-modifiable buffer to a specified pointer to POD type.
buffer_size | Get the number of bytes in a non-modifiable buffer.
operator+ | Create a new modifiable buffer that is offset from the start of another.

The mutable_buffer class provides a safe representation of a buffer that can be modified. It does not own the underlying data, and so is cheap to copy or assign.